Log in
|
How to Buy
|
Contact Us
|
United States (Change)

# Technical Documentation

Download Software
Research a Problem
Case Management
Contract & Product Management
Technical Documentation
Documentation Archive
Report Documentation Bug
Enterprise MIBs
File Format Help
Glossary
Portable Libraries
End-of-Life Products
Contact Support
Guidelines and Policies
Security Resources
Feedback

## Documentation Search

Advanced Search | Search Tips

# ping mpls ip

#### Syntax

ping mpls ip [ vrf vrfName ] { targetIpAddress targetIpv4Mask | targetIpv6Prefix }
[ destination startIpAddress endIpAddress increment ]
[ source address sourceAddr ] [ [ repeat ] packetCount]
[ ttl ttlValue ] [ timeout timeOutVal ]
[ data-size dataSize | sweep-sizes sweepMin sweepMax sweepInt ]
[ pad { ones | zeros | random | hex-data hexData } ]
[ reply mode { ipv4-udp | ipv4-udp-with-router-alert } ]
[ reply pad-tlv ] [ reply dscp trafficClass ]
[ interval txdelayVal ] [ exp-bits bitValue ] [ detail ]

#### Release Information

Command introduced in JunosE Release 8.0.0.

#### Description

Sends an MPLS echo request packet to the specified IP or IPv6 address or, alternatively, sends MPLS echo packets to the egress node in a point-to-multipoint LSP. There is no no version.

The MPLS echo request packets and echo reply packets created by this command use the LDP IPv4 LSP sub-TLV described in RFC 4379—Detecting Multi-Protocol Label Switched (MPLS) Data Plane Failures (February 2006).

The MPLS echo request packets and echo reply packets created by this command to detect connectivity to egress nodes in point-to-multipoint LSPs use the P2MP Responder Identifier TLV described in the IETF draft, Detecting Data Plane Failures in Point-to-Multipoint Multiprotocol Label Switching (MPLS) - Extensions to LSP Ping—draft-ietf-mpls-p2mp-lsp-ping-08.txt (February 2010 expiration).

#### Options

- vrfName—Name of the VRF context; when you specify a VRF name, the LSP to the specified prefix must originate from the VRF because the ping is generated from the specified VRF
- targetIpAddress—IP address of the ping target
- targetIpv4Mask—Network mask for target IP address
- targetIpv6Prefix—IPv6 address of the ping target
- startIpAddress—First IP address within the 127.0.0.0/8 destination range
- endIpAddress—Last IP address within the 127.0.0.0/8 destination range
- increment—Number in the range 0–255 that specifies the increment between addresses in the destination address range
- sourceAddr—IP address used as the packet source address
- repeat—Specifies that multiple ping packets are sent
- packetCount—Number of packets to send to the destination address, in the range 0–4294967295; default value is 5; 0 means ping forever
- ttlValue—Hop count specified by setting the time-to-live field in the header, in the range 1–255; default value is 32
- timeOutVal—Number of seconds, in the range 1–32 to wait for an MPLS echo reply packet before the connection attempt times out
- dataSize—Number of bytes comprising the MPLS packet, including the header, in the range 0–64000; default value is 100 bytes
- sweep-sizes—Configures payload sizes, enabling you to vary the sizes of the echo packets being sent. This capability is useful for determining the minimum sizes of the MTUs configured on the nodes along the path to the destination address. This reduces packet fragmentation which contributes to performance problems. The default is not to sweep; all packets are the same size.
  - sweepMin—Minimum payload size in the range 0–64000
  - sweepMax—Maximum payload size in the range 0–64000
  - sweepInt—Number of bytes to add to the size of the packet; the change in the size of subsequent ping packets while sweeping across a range of sizes. For example, you can configure the sweep interval to sweep across the range of packets from 0 bytes to 10,000 bytes in increments of sweepInt. By default, send 100, 101, 102, 103...1000. If sweepInt is 5, send 100, 105, 110, 115...1000). When “ sweeping,” the default interval is 1.
- pad—Specifies the type of bits contained in the pad TLV. You can set the bits to all ones, all zeros, a random mixture of ones and zeros, or a specific hexadecimal data pattern, in the range from 0x0–0xFFFFFFFF. The default data pattern is all zeros.
- reply mode—Specifies the reply mode for the echo request packet
  - ipv4-udp—Specifies that the echo request packet is an IPv4 UDP packet
  - ipv4-udp-with-router-alert—Specifies that the echo request packet is an IPv4 UDP packet with the router alert bit set in the header so all routers examine this packet more closely to determine whether further processing is necessary
- reply pad-tlv—Requests sender of an echo reply to send a pad TLV
- trafficClass—Number in the range 0–255 that represents the value of the traffic class that the sender of an echo reply is requested to set
- txDelayVal—Number of milliseconds in the range 1–50 between transmission of each echo request; default value is 10 ms
- bitValue—Value of the EXP bits in the range 0–7 included in the MPLS echo request packet
- detail—Displays detailed information about MPLS echo request sent and echo replies received

#### Mode

Privileged Exec, User Exec

#### Published: 2011-01-07

﻿
Site Map / RSS Feeds / Careers / Accessibility / Feedback / Privacy & Policy / Legal Notices
Copyright© 1999-2011 Juniper Networks, Inc. All rights reserved.

## Choose Country

### North America

- United States

### Europe

- Deutschland - Germany
- España - Spain
- France
- Italia - Italy
- Россия - Russia
- United Kingdom

### Asia Pacific

- Asean Region (Vietnam, Indonesia, Singapore, Malaysia)
- Australia
- 中国 - China
- India
- 日本 - Japan
- 대한민국 - Korea
- 台灣 - Taiwan

Remember my choice
Help
|
My Account
|
Log Out